DNSRecordClass
Date: 2017-02-10

javax.jmdns.impl.constants

## Enum DNSRecordClass

- java.lang.Object
- - java.lang.Enum<DNSRecordClass>
  - - javax.jmdns.impl.constants.DNSRecordClass

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DNSRecordClass>

      public enum DNSRecordClass
      extends java.lang.Enum<DNSRecordClass>

  DNS Record Class

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS_ANY` Not a DNS class, but a DNS query class, meaning "all classes"
    `CLASS_CH` CHAOS
    `CLASS_CS` CSNET
    `CLASS_HS` Hesiod
    `CLASS_IN` static final Internet
    `CLASS_NONE` Used in DNS UPDATE [RFC 2136]
    `CLASS_UNKNOWN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLASS_MASK` Multicast DNS uses the bottom 15 bits to identify the record class... Except for pseudo records like OPT.
    `static int` | `CLASS_UNIQUE` For answers the top bit indicates that all other cached records are now invalid. For questions it indicates that we should send a unicast response.
    `static boolean` | `NOT_UNIQUE`
    `static boolean` | `UNIQUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DNSRecordClass` | `classForIndex(int index)`
    `static DNSRecordClass` | `classForName(java.lang.String name)`
    `java.lang.String` | `externalName()` Return the string representation of this type
    `int` | `indexValue()` Return the numeric value of this type
    `boolean` | `isUnique(int index)` Checks if the class is unique
    `java.lang.String` | `toString()`
    `static DNSRecordClass` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DNSRecordClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASS_UNKNOWN

          public static final DNSRecordClass CLASS_UNKNOWN

    - #### CLASS_IN

          public static final DNSRecordClass CLASS_IN

      static final Internet

    - #### CLASS_CS

          public static final DNSRecordClass CLASS_CS

      CSNET

    - #### CLASS_CH

          public static final DNSRecordClass CLASS_CH

      CHAOS

    - #### CLASS_HS

          public static final DNSRecordClass CLASS_HS

      Hesiod

    - #### CLASS_NONE

          public static final DNSRecordClass CLASS_NONE

      Used in DNS UPDATE [RFC 2136]

    - #### CLASS_ANY

          public static final DNSRecordClass CLASS_ANY

      Not a DNS class, but a DNS query class, meaning "all classes"

  - ### Field Detail

    - #### CLASS_MASK

          public static final int CLASS_MASK

      Multicast DNS uses the bottom 15 bits to identify the record class...
      Except for pseudo records like OPT.
      See Also:
        Constant Field Values

    - #### CLASS_UNIQUE

          public static final int CLASS_UNIQUE

      For answers the top bit indicates that all other cached records are now invalid.
      For questions it indicates that we should send a unicast response.
      See Also:
        Constant Field Values

    - #### UNIQUE

          public static final boolean UNIQUE

      See Also:
        Constant Field Values

    - #### NOT_UNIQUE

          public static final boolean NOT_UNIQUE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static DNSRecordClass[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DNSRecordClass c : DNSRecordClass.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DNSRecordClass valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### externalName

          public java.lang.String externalName()

      Return the string representation of this type
      Returns:
        String

    - #### indexValue

          public int indexValue()

      Return the numeric value of this type
      Returns:
        String

    - #### isUnique

          public boolean isUnique(int index)

      Checks if the class is unique
      Parameters:
        `index` -
      Returns:
        `true` is the class is unique, `false` otherwise.

    - #### classForName

          public static DNSRecordClass classForName(java.lang.String name)

      Parameters:
        `name` -
      Returns:
        class for name

    - #### classForIndex

          public static DNSRecordClass classForIndex(int index)

      Parameters:
        `index` -
      Returns:
        class for name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DNSRecordClass>`